#include "stdio.h"
#include "string.h"

#include <FL/Fl_Shared_Image.H>
#include <FL/Fl_PNG_Image.H>

#include "GMapTile.h"


GMapTile::GMapTile(char *file_name)
{
	char name[256];
	int i,j;

	m_sfc = Fl_Shared_Image::get(file_name);

	// remove the path of the filename:
	j=0;
	for(i=0;file_name[i]!=0;i++) {
		if (file_name[i]=='\\' || file_name[i]=='/') j=i;
	} /* for */ 
	if (j!=0) j++;
	strcpy(name,file_name+j);

	// remove the extension:
	for(i=strlen(name);i>0 && name[i]!='.';i--);
	if (i!=0) name[i]=0;

	m_name=new char[strlen(name)+1];
	strcpy(m_name,name);
} /* GMapTile::GMapTile */ 


GMapTile::~GMapTile()
{
	delete []m_name;
	m_sfc->release();
	m_sfc=0;
} /* GMapTile::~GMapTile */ 



char *GMapTile::get_name()
{
	return m_name;
} /* GMapTile::get_name */ 


Fl_Shared_Image *GMapTile::get_sfc()
{
	return m_sfc;
} /* GMapTile::get_sfc */ 




